Subject: Re: 100 network limit

From: Andi Kleen <[email-masked]>
Date: Thu, 28 Aug 2003 21:08:55 +0200

On Fri, 29 Aug 2003 04:00:19 +1000
Anton Blanchard <[email-masked]> wrote:

> Anyway as a short term fix Jamal suggested making a sysctl for this
> maximum. If fixing this all properly is out of the question for 2.6,
> would the sysctl approach be satisfactory? The other option is to just
> bump the limit and recognise that the user is on his own if performance
> sucks.

You could just add a bitmap with a reasonable upper limit (1024?) and use 
find_first_zero_bit()  I doubt doing that would be very intrusive.

-Andi